function outL = graphcut_segmentation(I,inL,lambda)
% GRAPHCUT_SEGMENTATION segment image using Potts model with GMM data term. 
% terms.
%
% Synopsis:
%   outL = graphcut_segmentation(I,inL,Lambda)
%
% Input:
%  I [H x W x 3 (uint8)] RGB image of size H x W pixels.
%  inL [H x W (uint8)] Partial image annotation:
%    0 .. pixel not annotated
%    1 .. pixel assigned label 1
%    2 .. pixel assigned label 2
%  Lambda [1 x 1] Parametr of the Potts model. 
%
% Output:
%  outL [H x W] Complete image segmentation. Each pixel must be 
%    either 1 or  2.
%

% TEMPLATE

outL = (rand(size(inL))> 0.5)+1;
  
return;

